/***********************************************************************************************
* 	Systme de jet de ds
*	Auteur:				Dakin Quelia
*	Version:			1.0.0
*   Utilisation:	
*		RollsDices:		$(this).RollsDices({ rolls: "1", side: "10", box: "dices_Box" });
*		GetDices:		$(this).GetDices("id_zone");
***********************************************************************************************/
(function($){
	// Variables globales
	var dices_results = "";
	// Effectuer le jet de ds
	$.fn.RollsDices = function(params) {
		params = $.extend({
			rolls: "1", 
			sides: "10",
			box: "#dices_box"
		}, params);

		dices_results = "Jet de ds: " + params.rolls + "D" + params.sides;
		dices_results += "\nRsultat: " + Math.floor(Math.random()*(params.sides-params.rolls+1)+params.rolls) + "\n";
			
		return  $(params.box).empty(), $(params.box).append(dices_results); 
	};
	// Rcuprer le jet de ds
	$.fn.GetDices = function(area) {
		if (area == "" || area == "false") { return false; } 

		return 	$(area).empty(), $(area).append(dices_results);
	};
})(jQuery);